Skip to main content
GET
Retrieve a previous version of a folder

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
content

Path Parameters

objectId
string
required

The unique identifier of the landing page folder.

revisionId
string
required

The unique identifier of the revision to retrieve.

Response

successful operation

id
string
required

The unique identifier for this version of the content folder.

object
object
required
updatedAt
string<date-time>
required

The date and time when this version was last updated, in ISO 8601 format.

user
object
required
Last modified on September 9, 2026